#ifndef FILTERWIDGET_H
#define FILTERWIDGET_H
/* Copyright (C) 2014 by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#include <QWidget>

class QSortFilterProxyModel;
class QComboBox;
class QLineEdit;
class FilterWidget: public QWidget
{
    Q_OBJECT

public:
    /**@brief construct a filterwidget for the model model.*/
    FilterWidget (QSortFilterProxyModel *model,
            QWidget * parent = 0, Qt::WindowFlags f = 0);

protected:
    void setupGUI();

protected slots:
    void headersChanged();

    void filterChanged();

private:
    QSortFilterProxyModel *mModel;
    QComboBox *mCombo;
    QLineEdit *mEditLine;
};
#endif // FILTERWIDGET_H
